<?php
/* SVN FILE: $Id: ruarobot-comment.php 127 2008-02-06 20:51:27Z rick $ */
/*
	Copyright (c) 2008 Rick Crawford <rick_crawford@hotmail.com>
	All rights reserved.

	Please read the LICENSE file for applicable licenses. 

	File: 
		ruarobot-comment.php 

	Description: 
		This file parses the comments from your template file and then replaces
		the token with the html defined in the configuration screen.

*/
if ($_SESSION['ruarobot_comments_file']) {
    ob_start();
    include $_SESSION['ruarobot_comments_file'];
    $contents = ob_get_clean();

	if (stripos($contents, RUAROBOT_TOKEN)) {
	    ob_start();
	    include RUAROBOT_DIR . '/templates/comment.php';
	    $html = ob_get_clean();

		echo str_ireplace(RUAROBOT_TOKEN, $html, $contents);
	}
	else {
		echo $contents;	
	}
}
?>